import { IGameModeStats } from '..';
/**
 * Statistics for a player in a game mode (solo, solo fpp etc.) in given season.
 */
export declare class GameModeStats {
    private _assists;
    private _boosts;
    private _dBNOs;
    private _dailyKills;
    private _damageDealt;
    private _days;
    private _headshotKills;
    private _heals;
    private _killPoints;
    private _kills;
    private _longestKill;
    private _longestTimeSurvived;
    private _losses;
    private _maxKillStreaks;
    private _mostSurvivalTime;
    private _revives;
    private _rideDistance;
    private _roadKills;
    private _roundMostKills;
    private _roundsPlayed;
    private _suicides;
    private _teamKills;
    private _timeSurvived;
    private _top10s;
    private _vehicleDestroys;
    private _walkDistance;
    private _weaponsAcquired;
    private _weeklyKills;
    private _winPoints;
    private _wins;
    constructor(playerSeason: IGameModeStats);
    readonly assists: number;
    readonly boosts: number;
    readonly dBNOs: number;
    readonly dailyKills: number;
    readonly damageDealt: number;
    readonly days: number;
    readonly headshotKills: number;
    readonly heals: number;
    readonly killPoints: number;
    readonly kills: number;
    readonly longestKill: number;
    readonly longestTimeSurvived: number;
    readonly losses: number;
    readonly maxKillStreaks: number;
    readonly mostSurvivalTime: number;
    readonly revives: number;
    readonly rideDistance: number;
    readonly roadKills: number;
    readonly roundMostKills: number;
    readonly roundsPlayed: number;
    readonly suicides: number;
    readonly teamKills: number;
    readonly timeSurvived: number;
    readonly top10s: number;
    readonly vehicleDestroys: number;
    readonly walkDistance: number;
    readonly weaponsAcquired: number;
    readonly weeklyKills: number;
    readonly winPoints: number;
    readonly wins: number;
}
